Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray2.metropolis.strategy
Class LensPerturbationStrat

    java.lang.Object
      de.grogra.ray2.metropolis.strategy.MutationStrategy
          de.grogra.ray2.metropolis.strategy.LensPerturbationStrat

All Implemented Interfaces:
  MetropolisStrategy

    public class LensPerturbationStrat

extends MutationStrategy

Field Summary
`float` | `acceptance`
`int` | `ka`
`int` | `kd`
`int` | `l`
`int` | `l_`
`int` | `m`
`int` | `m_`
`int` | `real_l_`
`int` | `real_m_`

Fields inherited from class de.grogra.ray2.metropolis.strategy.MutationStrategy
`abbortCode, antialiser, BSDF_WAS_ZERO, CALCULATION_ERROR, CANVAS_WASNT_HIT, complTracer, condition, eyePath, EYEPATH_DEPTH, eyePathDepth, ilist, lightPath, LIGHTPATH_DEPTH, lightPathDepth, MAXVAL, MIN_WEIGHT, mutatedPath, NO_CHANGES_HAPPENED, NO_VALID_COMBINEDPATH, NOT_IMPLEMENTED_YET, NOT_VISIBLE, PATH_SPECTRA_WERE_TOO_WEAK, rnd, sig, srcPath, SUCCESSFUL_MUTATIONRUN, tmpEnv, tmpLine, tmpPoint1, tmpPoint2, tmpRayList, tmpSpec1, tmpSpec2, tmpSpec3, tmpVec1, tmpVec2, tracer, TRACINGGOAL_WASNT_REACHED, tracingMediator`

Constructor Summary
`LensPerturbationStrat(MetropolisProcessor metroProc)`

Method Summary
`Line` | `generateNewStartLine(boolean isLightRay)`
`java.util.ArrayList<java.lang.String>` | `getStatistics()`
`void` | `initialize(double[] values)`
`float` | `mutatePath(CombinedPathValues actualPath, CombinedPathValues mutatedPath)`
`int` | `registerError(int error)`
`void` | `resetAll()`

Methods inherited from class de.grogra.ray2.metropolis.strategy.MutationStrategy
`calculateAcceptanceProbality, calculateQ, getAcceptanceAbbortDescription, getAddiationPathLength, getAddProbability, getAddVertice, getCombinedBSDF, getDeleteProbability, getDeleteVertice, getDeletionPathLength, getDescription, getI_0, hitsCanvas, isVisble, luminance, pathChanged, traceEyeSubPath, traceLightSubPath`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### acceptance

    public float acceptance

### ka

    public int ka

### kd

    public int kd

### l

    public int l

### l_

    public int l_

### m

    public int m

### m_

    public int m_

### real_l_

    public int real_l_

### real_m_

    public int real_m_

Constructor Detail

### LensPerturbationStrat

    public LensPerturbationStrat(MetropolisProcessor metroProc)

Method Detail

### generateNewStartLine

    public Line generateNewStartLine(boolean isLightRay)

  Overrides:
    `generateNewStartLine` in class `MutationStrategy`

### getStatistics

    public java.util.ArrayList<java.lang.String> getStatistics()

  Specified by:
    `getStatistics` in interface `MetropolisStrategy`
  Specified by:
    `getStatistics` in class `MutationStrategy`

### initialize

    public void initialize(double[] values)

  Specified by:
    `initialize` in class `MutationStrategy`

### mutatePath

    public float mutatePath(CombinedPathValues actualPath,
                            CombinedPathValues mutatedPath)

  Specified by:
    `mutatePath` in interface `MetropolisStrategy`
  Overrides:
    `mutatePath` in class `MutationStrategy`

### registerError

    public int registerError(int error)

  Overrides:
    `registerError` in class `MutationStrategy`

### resetAll

    public void resetAll()

  Specified by:
    `resetAll` in interface `MetropolisStrategy`
  Specified by:
    `resetAll` in class `MutationStrategy`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD